/*
   $Id: BlackList.cpp 680 2012-01-30 14:42:53Z tfaraut $
*/
/*
 * Copyright INRA/CNRS - Thomas.Faraut@toulouse.inra.fr, Emmanuel.Courcelle@toulouse.inra.fr
 * This software is a computer program whose purpose is to align nucleic sequences, or perform other utility tasks
 * This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software.
 * 
 * Please read the file Licence_CeCILL-C_V1-en.txt which should have been distributed with this file
 * The fact that you are presently reading this, and the aforementioned file, means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
*/

#include <iostream>
#include "BlackList.h"

/*
     The output operator of the class BlackList
*/

ostream & operator<<(ostream& os, const BlackList& bl)
{
    for (int i=0;i<bl.length;i++)
    {
        const set<Word> s = bl.hash_table[i];
        for (set<Word>::const_iterator j=s.begin(); j!= s.end(); ++j)
        {
            os << j->Convert() << '\n';
        };
    };
    return os;
}
/*
     The input operator of the class BlackList
*/
istream & operator>>(istream& is, BlackList& bl)
{
   string s;
   while ( !is.eof( ) )
   {	  		
	  is >> s;	  	
	  bl.Insert(s.c_str()); 
   }
   
    return is;
}