/*
   $Id: ComparisonFrequency.h 703 2013-01-25 09:06:49Z tfaraut $
*/
/*
 * Copyright INRA/CNRS - Thomas.Faraut@toulouse.inra.fr, Emmanuel.Courcelle@toulouse.inra.fr
 * This software is a computer program whose purpose is to align nucleic sequences, or perform other utility tasks
 * This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software.
 * 
 * Please read the file Licence_CeCILL-C_V1-en.txt which should have been distributed with this file
 * The fact that you are presently reading this, and the aforementioned file, means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
*/

/* Deprecated : using SuitableRegion.* instead */

#ifndef __COMPARISONFREQUENCY_H__
#define __COMPARISONFREQUENCY_H__

#include <memory>
using namespace std;

#include "Parameters.h"
#include "QueryBuffer.h"
#include "QueryBufferDouble.h"
#include "QueryBufferBank.h"
#include "CompactTree.h"
#include "GlintEngineFreq.h"
#include "Comparison.h"

class ComparisonFrequency: public ComparisonBase
{
	public :
		void Run();
	protected:
		auto_ptr<Display> _InitDisplay() {auto_ptr<Display> dsp_ptr (new DisplayFreq()); return dsp_ptr; };
		QueryBuffer* _InitQueryBuffer() { return new QueryBufferFasta( _parameters.GetQueryFilename().GetName(), _parameters.GetQueryFilename().GetCompression());}; 
		GlintEngine* _InitGlintEngine( QueryBuffer* q, Display& d )      { return new GlintEngineFreq(q,d); };
};

#endif
