/*
   $Id: time.h 648 2011-10-31 12:59:22Z manu $
*/
/*
 * Copyright INRA/CNRS - Thomas.Faraut@toulouse.inra.fr, Emmanuel.Courcelle@toulouse.inra.fr
 * This software is a computer program whose purpose is to align nucleic sequences, or perform other utility tasks
 * This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software.
 * 
 * Please read the file Licence_CeCILL-C_V1-en.txt which should have been distributed with this file
 * The fact that you are presently reading this, and the aforementioned file, means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
*/

#ifndef __TIME_H__
#define __TIME_H__

#include <iostream>
#include <vector>
using namespace std;
#include "ptypes.h"

typedef vector<double> TimeInfo;
class ThreadsTimeRecorder: public Singleton<ThreadsTimeRecorder> {
	public:
		friend class Singleton<ThreadsTimeRecorder>;
		void Running();
		void Waiting();
		friend ostream & operator<<(ostream&, const ThreadsTimeRecorder&);
	
	private:
		ThreadsTimeRecorder();
		typedef vector<double> TimeInfo;
		vector <TimeInfo> __time_infos;
		string __Duration(const TimeInfo&, size_t ) const;
};

ostream& operator<<(ostream&, const ThreadsTimeRecorder&);

#endif
